#pragma once

#include <Arduino.h>
#include <WiFiClientSecure.h>
#include <PsychicMqttClient.h>
#include "lib/shared.hpp"

boolean setupMqtt();
void setupMqttTask();
void publishForDevice(const char *topic, const char *payload);
void publishForDevice(const char *topic, const char *payload, boolean retain);
void publish(const char *topic, const char *payload);
void publish(const char *topic, const char *payload, boolean retain);
